### Method

# Pango AttrIterator range

#### Declaration [src]

    void
    pango_attr_iterator_range (
      PangoAttrIterator* iterator,
      gint* start,
      gint* end
    )

#### Description [src]

Get the range of the current segment.

Note that the stored return values are signed, not unsigned like the values in `PangoAttribute`. To deal with this API oversight, stored return values that wouldn’t fit into a signed integer are clamped to `G_MAXINT`.

#### Parameters

`start` | `gint*`
| Location to store the start of the range.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`end` | `gint*`
| Location to store the end of the range.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.